#
# spec file for package pciutils-ids (Version 2008.3.17)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           pciutils-ids
Version:        2008.3.17
Release:        2.2
AutoReqProv:    on
Group:          Hardware/Other
License:        GPL v2 or later
Summary:        PCI-utilities for Kernel version 2.2 and newer
Url:            http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
Source:         http://pciids.sourceforge.net/pci.ids.bz2
Source2:        merge-pciids
Source3:        test-merge.tar.bz2
Source4:        merge-pciids.pl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
PreReq:         perl coreutils

%description
lspci: This program displays detailed information about all PCI busses
and devices in the system, replacing the original /proc/pci interface.

setpci: This program allows reading from and writing to PCI device
configuration registers. For example, you can adjust the latency timers
with it.

update-pciids: This program downloads the current version of the
pci.ids file.



Authors:
--------
    Martin Mares <mj@ucw.cz>

%debug_package
%prep
bzcat %{S:0} >pci.ids.dist
chmod 755 %{S:4}
#%setup -b3 -n test
# Testcase
tar xvjf %{SOURCE3}

%build
cd test
export PATH=$PATH:/usr/src/packages/SOURCES
if test -x /usr/bin/perl; then ./do_test.sh; fi

%install
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/pci.ids.d
install -m644 pci.ids.dist $RPM_BUILD_ROOT%{_datadir}/pci.ids.d/
install -d -m755 $RPM_BUILD_ROOT/usr/bin
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/usr/bin/
install -m755 %{SOURCE4} $RPM_BUILD_ROOT/usr/bin/
install -m644 /dev/null $RPM_BUILD_ROOT%{_datadir}/pci.ids

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{_datadir}/pci.ids.d
#%config %{_datadir}/pci.ids.d/pci.ids.dist
%{_datadir}/pci.ids.d/pci.ids.dist
/usr/bin/merge-pciids
/usr/bin/merge-pciids.pl
%ghost %{_datadir}/pci.ids

%post
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  # This should only happen in autobuild
  echo "WARNING: merge-pciids or perl not found"
  cp -p %{_datadir}/pci.ids.d/pci.ids.dist %{_datadir}/pci.ids
fi

%changelog
* Mon Mar 17 2008 - anicka@suse.cz
- update pci.ids once again [bnc#368054]
* Fri Jan 18 2008 - anicka@suse.cz
- update pci.ids once again (FATE #302592)
- correctly PreReq perl and coreutils
* Mon Jan 14 2008 - anicka@suse.cz
- update pci.ids
* Mon Mar 05 2007 - anicka@suse.de
- add ids for netxen 10G card [#247391], pci.ids.diff
* Tue Feb 13 2007 - anicka@suse.cz
- remove tmp files created by merge-script [#244922]
* Mon Jan 22 2007 - anicka@suse.cz
- switch to upstream supplied merge tool [bug 221276]
- rewrite testsuite (format of old testcases was wrong)
* Sat Jan 20 2007 - garloff@suse.de
- Move pci.ids to pci.ids.d/pci.ids.dist and include merge tool
  [FATE 301145, bug 221276].
- Include test case, but leave disabled for now to avoid build dep
  on python.
- Update pci.ids.
* Mon Oct 23 2006 - mjancar@suse.cz
- change to noarch
* Mon Oct 16 2006 - schwab@suse.de
- Remove unused devel subpackage.
* Thu Oct 12 2006 - mjancar@suse.cz
- branch from pciutils
* Mon May 22 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Mar 22 2006 - kukuk@suse.de
- Remove pciids-suse patch (has to be fixed upstream)
* Wed Mar 22 2006 - kukuk@suse.de
- Auto-Update pci.ids
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - mjancar@suse.cz
- update pci.ids (#144200)
* Fri Jan 13 2006 - mjancar@suse.cz
- reintroduce "Class" printed in numeric output (#143042)
* Mon Dec 19 2005 - mjancar@suse.cz
- update to 2.2.1
* Fri Aug 26 2005 - mjancar@suse.cz
- add types.h to pciutils-devel (#113294)
* Wed Aug 24 2005 - mjancar@suse.cz
- update to 2.1.99-test9 (#98896)
- update pci.ids (#104381)
* Mon Mar 14 2005 - mjancar@suse.cz
- fix non-ascii characters in pci.ids (#72345)
* Sat Mar 05 2005 - schwab@suse.de
- Fix syntax error in pci.ids.
* Tue Feb 22 2005 - mjancar@suse.cz
- fix sysfs parsing (#63326)
- update pci.ids
* Fri Sep 17 2004 - tcrhak@suse.cz
- updated pci.ids to the latest snapshot (fixes bug #45370)
* Thu May 27 2004 - tcrhak@suse.cz
- changed "SGI IO9/IO10 Gigabit Ethernet (Copper)"
  to "SGI IO9/IO10 Gigabit Ethernet (Copper)" (bug #40175)
* Wed Apr 28 2004 - tcrhak@suse.cz
- updated pci.ids
* Thu Mar 04 2004 - tcrhak@suse.cz
- some pci.ids fixes:
  * changed SubDevice of Dell Inspiron 2100 internal modem (bug #32842)
  * added 1291 - Auxiliary Diva Serial Port (bug #31984)
  * added PCI IDs for InfiniBand HCAs (bug #34928)
* Tue Feb 24 2004 - tcrhak@suse.cz
- added support for domains to device filter (lspci -s, setpci -s)
  (fixes bug #33382, patch sysfs-filter)
- updated pci.ids
* Sat Nov 29 2003 - olh@suse.de
- use default owner for pciutils-devel files
* Thu Nov 06 2003 - olh@suse.de
- remove pcimodules again, it doesnt do anything right
* Tue Oct 28 2003 - olh@suse.de
- add patch for 2.6 /proc/bus/pci layout
  http://ftp.linux.org.uk/pub/linux/willy/patches/pciutils-sysfs.diff
* Wed Oct 08 2003 - tcrhak@suse.cz
- added pcimodules [bug #31953]
* Mon Aug 25 2003 - tcrhak@suse.cz
- updated pci.ids to the latest version from http://pciids.sourceforge.net
* Tue Feb 18 2003 - tcrhak@suse.cz
- fixed NIC PCI IDs for Compaq [bug #22795],
  patch pciids.diff
- also included the diff for the latest pci.ids
  into the patch
* Wed Jan 15 2003 - tcrhak@suse.cz
- fixed install paths
* Mon Jan 06 2003 - tcrhak@suse.cz
- update to version 2.1.11
- updated pci.ids to the latest version from http://pciids.sourceforge.net
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Sep 06 2002 - olh@suse.de
- update description of pcnet32 cards (#18892)
* Thu Aug 29 2002 - tcrhak@suse.cz
- updated pci.ids to latest version from http://pciids.sourceforge.net
  this version contains entries needed by Hammer systems (bug #17549)
* Thu Aug 08 2002 - olh@suse.de
- the acenic gigabit card can be either fibre or utp
  update pci.ids entry (#17502)
* Tue Jul 30 2002 - tcrhak@suse.cz
- updated to version 2.1.10
- updated pci.ids to latest version from http://pciids.sourceforge.net
* Tue Mar 26 2002 - tcrhak@suse.cz
- updated pci.ids to latest version from http://pciids.sourceforge.net
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Tue Jan 08 2002 - schwab@suse.de
- Fix warnings.
* Mon Dec 17 2001 - tcrhak@suse.cz
- updated pciutils to 2.1.9
- updated pci.ids to latest version from
  http://pciids.sourceforge.net/
* Wed Dec 12 2001 - grimmer@suse.de
- updated pci.ids to latest version from
  http://pciids.sourceforge.net/
- added pci.ids.bz2 as a separate source file and removed
  pci.ids.add.dif (now included upstream)
* Mon Sep 24 2001 - grimmer@suse.de
- added some missing PCI IDs for LSI Logic Fibre Channel
  controllers to pci.ids.add.diff
- corrected typos in pci.ids (Fiber Channel -> Fibre Channel)
- added LSI Logic Inc. to vendor ID 0x1000
* Wed Sep 19 2001 - grimmer@suse.de
- added some missing PCI IDs for Compaq NICs to pci.ids.add.diff
  see [#8918] for the list
* Mon Sep 10 2001 - grimmer@suse.de
- corrected some Intel NIC entries upon request from Intel
- merged pci.ids.riva.diff and the Intel changes in pci.ids.add.diff
* Tue Sep 04 2001 - garloff@suse.de
- Riva TnT corrections from snbarth:
  * The name of Riva TnT 128 is Riva TnT.
  * NVidia/SGS Joint Venture (12d2) never built TNT or later.
* Wed Aug 29 2001 - grimmer@suse.de
- merged pci.ids.244ac6.diff and pci.ids.add.diff into a single
  patch (again named pci.ids.add.diff) and added some more PCI IDs
  collected by Dave Jones <davej@suse.de> from various sources,
  including the current pciutils CVS tree.
- beautyfied the spec file a bit (added clean section and defattr
  in file list)
* Tue May 22 2001 - poeml@suse.de
- add -devel subpackage
* Thu May 10 2001 - garloff@suse.de
- Merge pci.ids from 2.4.4ac6
- bzip2 tarball
* Thu May 03 2001 - garloff@suse.de
- Also don't die on failing to read data of a normal device,
  just complain loudly (and return 2 in the end)
- Updated pci.ids from linux-2.4.4 and added DFE-660.
* Wed Jan 17 2001 - garloff@suse.de
- Don't die on failure to read ext. cardbus data. [#5817]
* Sun Dec 17 2000 - garloff@suse.de
- Added pci.ids from linux-2.4.0-test12
- Added pci.ids floating around (lkml, RH)
- Added pci.ids for i820, ICH2/-M
* Mon Sep 18 2000 - schwab@suse.de
- Add `-Wno-format' to avoid spurious compile errors.
* Fri Aug 18 2000 - ro@suse.de
- cleanup srcdir
* Mon Jun 12 2000 - olh@suse.de
- update to 2.1.8
* Mon Jan 24 2000 - aj@suse.de
- update to 2.1.4, fix build problems with latest glibc, use patch
  for make file from Martin Mares.
* Thu Jan 20 2000 - aj@suse.de
- update to 2.1.3, /usr/man -> /usr/share/man
* Tue Jan 04 2000 - ro@suse.de
- update to 2.1.2
* Tue Oct 26 1999 - ro@suse.de
- fixed to compile on axp
* Sat Oct 23 1999 - ro@suse.de
- update to 2.1pre8 / using Buildroot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 20 1999 - ro@suse.de
- update to 2.0
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Tue Feb 23 1999 - ro@suse.de
- update to 1.10
* Thu Nov 26 1998 - ro@suse.de
- created package, version 1.08
